/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.lokalisierung.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.lokalisierung.entity.LokalisierungConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(LokalisierungMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class LokalisierungMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "lokalisierungMeta";

  @Inject
  private transient Messages messages;

  public LokalisierungMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getLocaleEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_LOCALE_EINZAHL;
  }

  public String getLocaleMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_LOCALE_MEHRZAHL;
  }


  public String getLocaleEinzahlMessage(){
    return getMessage(getLocaleEinzahlMessageKey());
  }

  public String getLocaleMehrzahlMessage(){
    return getMessage(getLocaleMehrzahlMessageKey());
  }



  public boolean isLocaleRequired() {
    return !LokalisierungConstants.LOCALE_NULLABLE;
  }

  public de.ivu.elect.business.lokalisierung.entity.LokalisierungLocale getLocaleDefaultValue() {
    return LokalisierungConstants.LOCALE_DEFAULT_VALUE;
  }


  public String getModulEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_MODUL_EINZAHL;
  }

  public String getModulMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_MODUL_MEHRZAHL;
  }


  public String getModulEinzahlMessage(){
    return getMessage(getModulEinzahlMessageKey());
  }

  public String getModulMehrzahlMessage(){
    return getMessage(getModulMehrzahlMessageKey());
  }



  public boolean isModulRequired() {
    return !LokalisierungConstants.MODUL_NULLABLE;
  }

  public de.ivu.elect.business.lokalisierung.entity.LokalisierungModul getModulDefaultValue() {
    return LokalisierungConstants.MODUL_DEFAULT_VALUE;
  }


  public String getSchluesselEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_SCHLUESSEL_EINZAHL;
  }

  public String getSchluesselMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_SCHLUESSEL_MEHRZAHL;
  }


  public String getSchluesselEinzahlMessage(){
    return getMessage(getSchluesselEinzahlMessageKey());
  }

  public String getSchluesselMehrzahlMessage(){
    return getMessage(getSchluesselMehrzahlMessageKey());
  }



  public boolean isSchluesselRequired() {
    return !LokalisierungConstants.SCHLUESSEL_NULLABLE;
  }

  public java.lang.String getSchluesselDefaultValue() {
    return LokalisierungConstants.SCHLUESSEL_DEFAULT_VALUE;
  }

  public int getSchluesselMaxLength() {
    return LokalisierungConstants.SCHLUESSEL_MAX_LENGTH;
  }

  public String getWertGeaendertEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_WERT_GEAENDERT_EINZAHL;
  }

  public String getWertGeaendertMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_WERT_GEAENDERT_MEHRZAHL;
  }


  public String getWertGeaendertEinzahlMessage(){
    return getMessage(getWertGeaendertEinzahlMessageKey());
  }

  public String getWertGeaendertMehrzahlMessage(){
    return getMessage(getWertGeaendertMehrzahlMessageKey());
  }



  public boolean isWertGeaendertRequired() {
    return !LokalisierungConstants.WERT_GEAENDERT_NULLABLE;
  }

  public java.lang.String getWertGeaendertDefaultValue() {
    return LokalisierungConstants.WERT_GEAENDERT_DEFAULT_VALUE;
  }

  public int getWertGeaendertMaxLength() {
    return LokalisierungConstants.WERT_GEAENDERT_MAX_LENGTH;
  }

  public String getWertPropertydateiEinzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_WERT_PROPERTYDATEI_EINZAHL;
  }

  public String getWertPropertydateiMehrzahlMessageKey(){
    return LokalisierungConstants.MESSAGE_KEY_WERT_PROPERTYDATEI_MEHRZAHL;
  }


  public String getWertPropertydateiEinzahlMessage(){
    return getMessage(getWertPropertydateiEinzahlMessageKey());
  }

  public String getWertPropertydateiMehrzahlMessage(){
    return getMessage(getWertPropertydateiMehrzahlMessageKey());
  }



  public boolean isWertPropertydateiRequired() {
    return !LokalisierungConstants.WERT_PROPERTYDATEI_NULLABLE;
  }

  public java.lang.String getWertPropertydateiDefaultValue() {
    return LokalisierungConstants.WERT_PROPERTYDATEI_DEFAULT_VALUE;
  }

  public int getWertPropertydateiMaxLength() {
    return LokalisierungConstants.WERT_PROPERTYDATEI_MAX_LENGTH;
  }

}